package com.mes.pp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-04-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OptimizeLayout implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工程号
     */
    private String projectNo;

    /**
     * 原片ID
     */
    private Integer stockId;

    private Double width;

    private Double height;

    private Double realwidth;

    private Double realheight;

    /**
     * 切裁率
     */
    private String usageRate;

    /**
     * 物料编码
     */
    private String stockCode;

    /**
     * 上修边
     */
    private String upTrim;

    /**
     * 下
     */
    private String downTrim;

    /**
     * 左
     */
    private String leftTrim;

    /**
     * 右
     */
    private String rightTrim;

    /**
     * 数量
     */
    private Integer count;

    /**
     * 小片数
     */
    private String glassCount;

    /**
     * 小片面积
     */
    private String glassArea;

    /**
     * 创建人
     */
    private Integer creater;

    private Date createTime;

    @TableField("intRemark")
    private Integer intremark;

    @TableField("strRemark")
    private String strremark;


}
