package com.mes.edgstoragecage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EdgStorageCageDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 磨边前理片笼详情表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 栅格号
     */
    private Integer slot;

    /**
     * 玻璃id
     */
    private Integer glassId;

    /**
     * 小片在格内的顺序
     */
    private Integer sequence;

    /**
     * 流程卡号
     */
    private String flowCardId;

    /**
     * 玻璃类型
     */
    private Integer glassType;

    /**
     * 宽
     */
    private Double width;

    /**
     * 高
     */
    private Double height;

    /**
     * 厚度
     */
    private Double thickness;

    /**
     * 磨前宽
     */
    private Double edgWidth;

    /**
     * 磨前高
     */
    private Double edgHeight;

    /**
     * 钢化版图id
     */
    private Integer temperingLayoutId;

    /**
     * 钢化版图片序
     */
    private Integer temperingFeedSequence;

    /**
     * 原片顺序
     */
    private Integer patternSequence;

    /**
     * 状态
     */
    private Integer state;

    /**
     * 玻璃间隙
     */
    private Integer gap;


}
