package com.mes.taskcache.service;


import com.mes.glassinfo.entity.GlassInfo;
import com.mes.taskcache.mapper.HangzhouMesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class HangzhoumesService {

    @Autowired
    private HangzhouMesMapper hangzhouMesMapper;

    //根据编号 查找玻璃小片信息
    public GlassInfo getUserInfo(String process_id) {
        return hangzhouMesMapper.selectGlassId(process_id);
    }

    //理片缓存 笼内信息
    public List<Map> SelectCageInfo() {
        return hangzhouMesMapper.selectCachInfo();
    }

    //磨边小片信息
    public List<Map> SelectEdgInfo(String line) {
        return hangzhouMesMapper.selectEdgInfo(line);
    }


}

