package com.mes.taskcache.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mes.taskcache.entity.TaskCache;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
public interface TaskCacheService extends IService<TaskCache> {

    //添加理片笼任务
    boolean insertTaskCache(TaskCache taskCache);

    //查询磨边任务
    List<TaskCache> selectEdgInfo(String line);

    //查询理片任务
    List<TaskCache> selectCacheInfo();

    //查询全部任务
    List<TaskCache> selectAll();

    //查询进片任务
    List<TaskCache> selectInputTaskCache();

    //查询出片任务
    List<TaskCache> selectOutTaskCache();

    //查询  A09  或 A10 最新的一片 出片任务
    List<TaskCache> selectLastOutCacheInfo(String line);
}
