package com.mes.bigstorage.controller;


import com.mes.bigstorage.entity.BigStorageCageDetails;
import com.mes.bigstorage.service.BigStorageCageDetailsService;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@ApiModel(description = "理片笼详情")
@RestController
@RequestMapping("/bigStorageCageDetails")
public class BigStorageCageDetailsController {

    @Autowired
    private BigStorageCageDetailsService bigStorageCageDetailsService;

    @ApiOperation("理片笼详情")
    @PostMapping("/bigStorageCageDetails")
    public List<BigStorageCageDetails> bigStorageCageDetails() {
        return bigStorageCageDetailsService.list();

    }

}

