package com.mes.bigstorage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BigStorageCage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 大理片笼表id
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 栅格号
     */
    private Integer slot;

    /**
     * 启用状态
     */
    private String enableState;

    /**
     * 剩余宽度
     */
    private Integer remainWidth;

    @TableField(exist = false)
    private List<BigStorageCageDetails> bigStorageCageDetails;


}
