package com.mes.glassinfo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GlassInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 玻璃信息表id
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程卡
     */
    private String flowcardId;

    /**
     * 流程卡玻璃类型
     */
    private Integer glassType;

    /**
     * 宽
     */
    private Double width;

    /**
     * 高
     */
    private Double height;

    /**
     * 厚度
     */
    private Double thickness;

    /**
     * 膜系
     */
    private Integer filmsid;

    /**
     * 磨前宽
     */
    private Double edgWidth;

    /**
     * 磨前高
     */
    private Double edgHeight;

    /**
     * 是否配片
     */
    private Integer ismultiple;

    /**
     * 配片最大宽
     */
    private Double maxWidth;

    /**
     * 配片最大高
     */
    private Double maxHeight;

    /**
     * 钢化是否接受横放
     */
    private Integer ishorizontal;

    /**
     * 原片顺序
     */
    private Integer patternSequence;

    /**
     * 钢化版图id
     */
    private Integer temperingLayoutId;

    /**
     * 钢化版图片序
     */
    private Integer temperingFeedSequence;

    /**
     * x坐标
     */
    private Integer xCoordinate;

    /**
     * y坐标
     */
    private Integer yCoordinate;

    /**
     * 旋转角度（逆时针）
     */
    private Integer angle;

    /**
     * 工程号
     */
    private Long engineerId;

    /**
     * 生产规则id
     */
    private Integer ruleId;


}
