package com.mes.workstation.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UpWorkstation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 上片工位表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工位号
     */
    private Integer workstationId;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 启用状态
     */
    private Integer enableState;

    /**
     * 工作状态
     */
    private Integer workState;

    /**
     * 原片宽
     */
    private Double patternWidth;

    /**
     * 原片高
     */
    private Double patternHeigth;

    /**
     * 原片厚度
     */
    private Double patternThickness;

    /**
     * 膜系
     */
    private Integer filmsId;

    /**
     * 数量
     */
    private Integer number;


}
