package com.mes.temperingglass.service;

import com.mes.temperingglass.entity.TemperingGlassInfo;
import com.mes.temperingglass.mapper.TemperingMapper;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TemperingOverService {
    private final TemperingMapper temperingMapper;

    //PlcParameterObject plcmes=PLCAutoMes.PlcMesObject;
    public TemperingOverService(TemperingMapper temperingMapper) {
        this.temperingMapper = temperingMapper;
    }

    //接收出炉信号和炉号
    public String SelectOutSignal() {

        //S7control.getinstance().WriteWord("出炉信号", (short)1);
        return "GlassInfo";
    }

    //发送确认收到信号
    public void OverSignal() {
        //S7control.getinstance().WriteWord("确认字", (short)1);
    }

    //显示钢化出炉后的版图信息
    public List<TemperingGlassInfo> SelectOutGlass() {
        return temperingMapper.SelectOutGlass();
    }


}
