package com.mes.downglassinfo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@Data
@Component
@EqualsAndHashCode(callSuper = false)
public class DownGlassInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 下片玻璃信息表id
     */
    private Long id;

    /**
     * 流程卡号
     */
    private String flowCardId;

    /**
     * 顺序
     */
    private Integer sequence;

    /**
     * 宽
     */
    private Double width;

    /**
     * 高
     */
    private Double height;

    /**
     * 厚度
     */
    private Double thickness;


    private String Filmsid;


}
