package com.mes.downglassinfo.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DownGlassTask implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 起始
     */
    private String startCell;

    /**
     * 目标
     */
    private String endCell;

    /**
     * 任务类型 1:进   2：出
     */
    private String taskType;

    /**
     * 宽
     */
    private Double width;

    /**
     * 高
     */
    private Double height;

    /**
     * 膜系
     */
    private String filmsid;

    /**
     * 厚度
     */
    private Double thickness;

    /**
     * 流程卡号
     */
    private String flowCardId;

    /**
     * 任务状态 0 未开始  1正在进行   2完成
     */
    private Integer taskStauts;


}
