package com.mes.downglassinfo.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mes.downglassinfo.entity.DownGlassTask;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
public interface DownGlassTaskService extends IService<DownGlassTask> {

    List<DownGlassTask> getUnloadingTaskState();

    void updateTaskStateToZero(String flowCardId);

    void deleteTask(String flowCardId);

    DownGlassTask selectLastOutCacheInfo(String endCell);

    Integer insertCacheTask(Long id, String start, String end, String type, double width, double height, String filmsId, double thickness, String flowCardId);
}
