package com.mes.downstorage.controller;

import com.mes.downstorage.entity.DownStorageCageDetails;
import com.mes.downstorage.service.DownStorageCageDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/down-storage-cage-details")
public class DownStorageCageDetailsController {

    @Autowired
    private DownStorageCageDetailsService downStorageCageDetailsService;

    @PostMapping("/add")
    public String addDownStorageCageDetails(@RequestBody DownStorageCageDetails details) {
        downStorageCageDetailsService.addDownStorageCageDetails(details);
        return "Details added successfully";
    }

    // Other CRUD operations can be defined here
}
