package com.mes.downstorage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DownStorageCage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 下片前理片笼表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 栅格号
     */
    private Integer slot;

    /**
     * 启用状态
     */
    private String enableState;

    /**
     * 剩余
     */
    private Integer remainWidth;


}
