package com.mes.downworkstation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mes.downworkstation.entity.DownWorkstation;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
public interface DownWorkstationService extends IService<DownWorkstation> {

    List<DownWorkstation> getoneDownWorkstations(int startId, int endId);

    int getTotalQuantity(int workstationId);

    int getRacksNumber(int workstationId);

    void clearFlowCardId(int workstationId);

    void updateracksnumber(String flowCardId, int racksnumber);


    int updateFlowCardIdAndCount(String flowCardId, int glassInfoCount, int workstationId);


}
