package com.mes.common.exception;

import com.mes.utils.ResultCodeEnum;
import lombok.Getter;

@Getter
public class ServiceException extends RuntimeException {
    private Integer code;

    public ServiceException(ResultCodeEnum resultCodeEnum, String msg) {
        super(msg);
        this.code = resultCodeEnum.getCode();
    }
}
