package com.mes.pp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-04-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OptimizeDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 工程号
     */
    private String projectNo;

    /**
     * 流程卡号
     */
    private String processId;

    /**
     * 层
     */
    private Integer layer;

    /**
     * 序号
     */
    private Integer orderSort;

    /**
     * 版图id
     */
    private Integer stockId;

    /**
     * 版图序
     */
    private Integer stockNumber;

    /**
     * 图号
     */
    private Integer graphNo;

    /**
     * 小片编号
     */
    private String glassId;

    /**
     * 小片ID
     */
    private Integer polysId;

    /**
     * 小片宽（加磨量）
     */
    private Double pWidth;

    /**
     * 小片高（加磨量）
     */
    private Double pHeight;

    /**
     * 小片宽
     */
    private Double width;

    /**
     * 小片高
     */
    private Double height;

    /**
     * x坐标
     */
    private Double xAxis;

    /**
     * y坐标
     */
    private Double yAxis;

    /**
     * 钢化版图编号(架号)
     */
    private Integer heatLayoutId;

    private String h;

    private String g;

    private String r;

    private String glassPoint;

    @TableField("intRemark")
    private Integer intremark;

    @TableField("strRemark")
    private String strremark;


}
