package com.mes.uppattenusage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UpPattenUsage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 原片使用情况表id
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 工程号
     */
    private String engineeringId;

    /**
     * 膜系id
     */
    private String filmsId;

    /**
     * 宽
     */
    private Double width;

    /**
     * 高
     */
    private Double height;

    /**
     * 厚度
     */
    private Double thickness;

    /**
     * 原片版图片序
     */
    private Integer layoutSequence;

    /**
     * 状态
     */
    private Integer state;


}
