package com.mes.edgstoragecage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.mes.edgstoragecage.entity.EdgStorageCageDetails;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
public interface EdgStorageCageDetailsService extends MPJBaseService<EdgStorageCageDetails> {

    /**
     * 识别 破损/拿走
     * @param glassid
     * @param ControlsId
     * @return
     */
    boolean identWorn(String glassid,int ControlsId);
    //获取 切割当前版图
    List<Map> selectCutTerritory();
    //获取 工程下的当前版图
    List<Map> selectCurrentCutTerritory(String current);


}
