package com.mes.edgstoragecage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.mes.edgstoragecage.entity.EdgStorageCage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
public interface EdgStorageCageService extends MPJBaseService<EdgStorageCage> {

    //查询笼内空格
    List<Map> selectCacheEmpty();

    //查询笼内出片顺序详情
    List<Map> selectCacheOut();

    //查询笼内详情
    List<Map> selectEdgStorageCages();

    //修改理片笼内信息
    boolean updateEdgStorageCage(EdgStorageCage edgStorageCage);
}
