package com.mes.glassinfo.controller;

import com.mes.glassinfo.entity.GlassInfo;
import com.mes.glassinfo.service.GlassInfoService;
import com.mes.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import com.mes.glassinfo.service.impl.GlassInfoServiceImpl;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zhoush
 * @since 2024-04-07
 */
@RestController
@RequestMapping("/glassInfo")
public class GlassInfoController {

    @Autowired
    private GlassInfoServiceImpl GlassInfoServiceImpl;

    @PostMapping("/selectId") //
    @ResponseBody
    public Result selectId(String ProcessId) {
        List<GlassInfo> list = GlassInfoServiceImpl.selectId(ProcessId);
        return Result.build(200,"成功",list);
    }

    @PostMapping("/selectAll") //
    @ResponseBody
    public Result selectAll() {
        List<GlassInfo> list = GlassInfoServiceImpl.selectAll();
        return Result.build(200,"成功",list);
    }

    @PostMapping("/selectFlowCardId") //
    @ResponseBody
    public Result selectFlowCardId(String flowCardId) {
        List<GlassInfo> list = GlassInfoServiceImpl.selectFlowCardId(flowCardId);
        return Result.build(200,"成功",list);
    }
}

