package com.mes.taskcache.service;


import com.mes.taskcache.mapper.HangzhouMesMapper;
import com.mes.taskcache.mapper.PpMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class PpService {

    @Autowired
    private PpMapper selectInfoMapper;
    @Autowired
    private HangzhouMesMapper hangzhouMesMapper;

    // public GlassInfo getUserInfo(String process_id){
    //     return hangzhouMesMapper.selectGlassId(process_id);
    // }

//    public List<Tempered> selectTemperedTerritory(String process_id){
//        return selectInfoMapper.selectTemperedTerritory(process_id);
//    }

    //切割版图   当前识别版图 
    public List<Map> selectCutTerritory() {
        //得到要显示的 工程ID 以及版图ID
        //1.在Hangzhoumes数据库里 得到目前已经  领取但未完成的 工程ID集合
        //2.拿工程集合去PP数据库里 得到对应的小片集合
        //3.拿对应的小片集合 与 缓存任务表进行对比 查找下一版图显示   
        String process_id = "P24032204";
        String territory_id = "1";
        return selectInfoMapper.selectCutTerritory(process_id, territory_id);
    }

    //切割版图 根据工程号查询   所有版图小片数据
    public List<Map> selectCutTerritory(String process_id) {
        return selectInfoMapper.selectCutTerritory(process_id);
    }

    //切割版图 根据工程号,版图编号查询   版图编号里所有小片数据
    public List<Map> selectCutTerritory(String process_id, String TerritoryId) {
        return selectInfoMapper.selectCutTerritory(process_id, TerritoryId);
    }


}

