package com.mes;

import com.mes.edgstoragecage.service.impl.EdgStorageCageServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @Author : zhoush
 * @Date: 2024/3/27 16:37
 * @Description:
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest(classes = CacheGlassModuleApplication.class)
public class CacheGlassModuleApplicationTest {

    @Autowired
    EdgStorageCageServiceImpl edgStorageCageServiceImpl;

    @Test
    public void testFindPath() {
        log.info("完整路径：{}", Arrays.asList("123"));
    }

    @Test
    public void testCacheGlass() {
        List<Map> map= edgStorageCageServiceImpl.selectEdgStorageCages();
        log.info("笼内信息：{}", Arrays.asList(map));
    }
    @Test
    public void testselectCacheEmpty() {
        List<Map> map= edgStorageCageServiceImpl.selectCacheEmpty();
        log.info("笼内空格：{}", Arrays.asList(map));
    }
    @Test
    public void testScan() {
        List<Map> map= edgStorageCageServiceImpl.selectEdgStorageCages();
        log.info("切割当前版图信息：{}", Arrays.asList(map));
    }
}
