package com.mes.edgstoragetask.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoush
 * @since 2024-04-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TaskCache implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID编号
     */
      @TableId("ID")
    private Long id;

    /**
     * 起始
     */
    private String startCell;

    /**
     * 目标
     */
    private String endCell;

    /**
     * 任务类型 1:进   2：出
     */
    private String taskType;

    /**
     * 任务状态 0 未开始  1已完成
     */
    private String taskStauts;


}
