package com.mes.downstorage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DownStorageCageDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 下片前理片笼明细表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 栅格号
     */
    private Integer slot;

    /**
     * 玻璃id
     */
    private Integer glassId;

    /**
     * 小片在格内的顺序
     */
    private Integer sequence;

    /**
     * 流程卡号
     */
    private String flowCardId;

    /**
     * 玻璃类型
     */
    private Integer glassType;

    /**
     * 宽
     */
    private Double width;

    /**
     * 高
     */
    private Double height;

    /**
     * 厚度
     */
    private Double thickness;

    /**
     * 钢化版图id
     */
    private Integer temperingLayoutId;

    /**
     * 钢化版图片序
     */
    private Integer temperingFeedSequence;


    /**
     * 膜系id
     */
    private int filmsid;
    /**
     * 状态
     */
    private Integer state;

    /**
     * 玻璃间隙
     */
    private Integer gap;


}
