package com.mes.downworkstation.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DownWorkstation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 下片工位表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工位id
     */
    private Integer workstationId;

    /**
     * 流程卡号
     */
    private String flowCardId;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 启用状态
     */
    private Integer enableState;

    /**
     * 工作状态
     */
    private Integer workState;


    @TableField("total_quantity")
    private Integer totalquantity;

    @TableField("racks_number")
    private Integer Racksnumber;


}
