package com.mes.glassinfo.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mes.glassinfo.entity.GlassInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zhoush
 * @since 2024-03-27
 */
public interface GlassInfoService extends IService<GlassInfo> {

    int getGlassInfoCountByFlowCardId(String flowCardId);

    List<Map<String, Object>> getFlowCardId();

    GlassInfo selectGlassId(String id);
}
